## bcbdc1511ec85ea1779f24df430bf90987683b8d

=== test/integration/Makefile ===
# This Makefile is for legacy integration tests.
# Most new tests should be implemented using ansible-test.
# Existing tests are slowly being migrated to ansible-test.
# See: http://docs.ansible.com/ansible/dev_guide/testing_integration.html

TEST_DIR ?= ~/ansible_testing
INVENTORY ?= inventory
VARS_FILE ?= integration_config.yml

# Create a semi-random string for use when testing cloud-based resources
ifndef CLOUD_RESOURCE_PREFIX
CLOUD_RESOURCE_PREFIX := $(shell python -c "import string,random; print('ansible-testing-' + ''.join(random.choice(string.ascii_letters + string.digits) for _ in range(8)));")
endif

CREDENTIALS_FILE ?= credentials.yml
# If credentials.yml exists, use it
ifneq ("$(wildcard $(CREDENTIALS_FILE))","")
CREDENTIALS_ARG = -e @$(CREDENTIALS_FILE)
else
CREDENTIALS_ARG =
endif

# http://unix.stackexchange.com/questions/30091/fix-or-alternative-for-mktemp-in-os-x
MYTMPDIR = $(shell mktemp -d 2>/dev/null || mktemp -d -t 'mytmpdir')

VAULT_PASSWORD_FILE = vault-password

CONSUL_RUNNING := $(shell python consul_running.py)
EUID := $(shell id -u -r)

UNAME := $(shell uname | tr '[:upper:]' '[:lower:]')

setup:
	rm -rf $(TEST_DIR)
	mkdir -p $(TEST_DIR)

cloud: amazon rackspace azure

cloud_cleanup: amazon_cleanup rackspace_cleanup

amazon_cleanup:
	python cleanup_ec2.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

azure_cleanup:
	python cleanup_azure.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

gce_setup:
	python setup_gce.py "$(CLOUD_RESOURCE_PREFIX)"

gce_cleanup:
	python cleanup_gce.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

rackspace_cleanup:
	python cleanup_rax.py -y --match="^$(CLOUD_RESOURCE_PREFIX)"

$(CREDENTIALS_FILE):
	@echo "No credentials file found.  A file named '$(CREDENTIALS_FILE)' is needed to provide credentials needed to run cloud tests.  See sample 'credentials.template' file."
	@exit 1

amazon: $(CREDENTIALS_FILE)
	ANSIBLE_HOST_KEY_CHECKING=False ANSIBLE_SSH_PIPELINING=no BOTO_CONFIG=/dev/null ansible-playbook amazon.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make amazon_cleanup ; \
    exit $$RC;

azure: $(CREDENTIALS_FILE)
	ANSIBLE_HOST_KEY_CHECKING=False ansible-playbook azure.yml -i $(INVENTORY) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make azure_cleanup ; \
    exit $$RC;

gce: $(CREDENTIALS_FILE)
	CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make gce_setup ; \
    ansible-playbook gce.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make gce_cleanup ; \
    exit $$RC;

rackspace: $(CREDENTIALS_FILE)
	ansible-playbook rackspace.yml -i $(INVENTORY) -e @$(VARS_FILE) $(CREDENTIALS_ARG) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    CLOUD_RESOURCE_PREFIX="$(CLOUD_RESOURCE_PREFIX)" make rackspace_cleanup ; \
    exit $$RC;

exoscale:
	ansible-playbook exoscale.yml -i $(INVENTORY) -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

jenkins:
	ansible-playbook jenkins.yml -i $(INVENTORY) -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

cloudflare: $(CREDENTIALS_FILE)
	ansible-playbook cloudflare.yml -i $(INVENTORY) -e @$(VARS_FILE) -e @$(CREDENTIALS_FILE) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

cloudscale:
	ansible-playbook cloudscale.yml -i $(INVENTORY) -e @$(VARS_FILE) -e "resource_prefix=$(CLOUD_RESOURCE_PREFIX)" -v $(TEST_FLAGS) ; \
	RC=$$? ; \
	exit $$RC;

$(CONSUL_RUNNING):

consul:
ifeq ($(CONSUL_RUNNING), True)
	ansible-playbook -i $(INVENTORY) consul.yml ; \
	ansible-playbook -i ../../contrib/inventory/consul_io.py consul_inventory.yml
else
	@echo "Consul agent is not running locally. To run a cluster locally see http://github.com/sgargan/consul-vagrant"
endif

test_galaxy: test_galaxy_spec test_galaxy_yaml test_galaxy_git

test_galaxy_spec: setup
	mytmpdir=$(MYTMPDIR) ; \
	ansible-galaxy install -r galaxy_rolesfile -p $$mytmpdir/roles -vvvv ; \
    cp galaxy_playbook.yml $$mytmpdir ; \
    ansible-playbook -i $(INVENTORY) $$mytmpdir/galaxy_playbook.yml -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    rm -rf $$mytmpdir ; \
    exit $$RC

test_galaxy_yaml: setup
	mytmpdir=$(MYTMPDIR) ; \
	ansible-galaxy install -r galaxy_roles.yml -p $$mytmpdir/roles -vvvv; \
    cp galaxy_playbook.yml $$mytmpdir ; \
    ansible-playbook -i $(INVENTORY) $$mytmpdir/galaxy_playbook.yml -e @$(VARS_FILE) -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    rm -rf $$mytmpdir ; \
    exit $$RC

test_galaxy_git: setup
	mytmpdir=$(MYTMPDIR) ; \
	ansible-galaxy install git+https://bitbucket.org/willthames/git-ansible-galaxy,v1.6 -p $$mytmpdir/roles -vvvv; \
    cp galaxy_playbook_git.yml $$mytmpdir ; \
    ansible-playbook -i $(INVENTORY) $$mytmpdir/galaxy_playbook_git.yml -v $(TEST_FLAGS) ; \
    RC=$$? ; \
    rm -rf $$mytmpdir ; \
    exit $$RC

=== docs/docsite/rst/dev_guide/style_guide/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/AnsibleStyleGuide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/AnsibleStyleGuide.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/AnsibleStyleGuide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/AnsibleStyleGuide"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== packaging/debian/changelog ===
ansible (%VERSION%-%RELEASE%~%DIST%) %DIST%; urgency=low

  * %VERSION% release

 -- Ansible, Inc. <info@ansible.com>  %DATE%

ansible (2.4.0.0) unstable; urgency=low

  * 2.4.0.0

 -- Ansible, Inc. <info@ansible.com>  Mon, 18 Sep 2017 18:22:15 -0700

ansible (2.0.1.0) unstable; urgency=low

  * 2.0.1.0

 -- Ansible, Inc. <info@ansible.com>  Wed, 24 Feb 2016 18:28:59 -0500

ansible (2.0.0.2) unstable; urgency=low

  * 2.0.0.2

 -- Ansible, Inc. <info@ansible.com>  Thu, 14 Jan 2016 17:17:41 -0500

ansible (2.0.0.1) unstable; urgency=low

  * 2.0.0.1

 -- Ansible, Inc. <info@ansible.com>  Tue, 12 Jan 2016 17:53:29 -0500

ansible (2.0.0.0) unstable; urgency=low

  * 2.0.0.0

 -- Ansible, Inc. <info@ansible.com>  Tue, 12 Jan 2016 08:33:59 -0500

ansible (1.9.4) unstable; urgency=low

  * 1.9.4

 -- Ansible, Inc. <info@ansible.com>  Fri, 09 Oct 2015 15:00:00 -0500

ansible (1.9.3) unstable; urgency=low

  * 1.9.3

 -- Ansible, Inc. <info@ansible.com>  Thu, 03 Sep 2015 18:30:00 -0500

ansible (1.9.2) unstable; urgency=low

  * 1.9.2

 -- Ansible, Inc. <info@ansible.com>  Wed, 24 Jun 2015 14:00:00 -0500

ansible (1.9.1) unstable; urgency=low

  * 1.9.1

 -- Ansible, Inc. <info@ansible.com>  Mon, 27 Apr 2015 17:00:00 -0500

ansible (1.9.0.1) unstable; urgency=low

  * 1.9.0.1

 -- Ansible, Inc. <info@ansible.com>  Wed, 25 Mar 2015 15:00:00 -0500

ansible (1.8.4) unstable; urgency=low

  * 1.8.4

 -- Ansible, Inc. <info@ansible.com>  Thu, 19 Feb 2015 12:00:00 -0500

ansible (1.8.3) unstable; urgency=low

  * 1.8.3

 -- Ansible, Inc. <info@ansible.com>  Tue, 17 Feb 2015 16:00:00 -0500

ansible (1.8.2) unstable; urgency=low

  * 1.8.2

 -- Michael DeHaan <michael@ansible.com>  Thu, 04 Dec 2014 17:00:00 -0500

ansible (1.8.1) unstable; urgency=low

  * 1.8.1

 -- Michael DeHaan <michael@ansible.com>  Wed, 26 Nov 2014 23:00:00 -0500

ansible (1.8.0) unstable; urgency=low

  * 1.8.0

 -- Michael DeHaan <michael@ansible.com>  Tue, 25 Nov 2014 17:00:00 -0500

ansible (1.7.2) unstable; urgency=low

  * 1.7.2 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 24 Sep 2014 15:00:00 -0500

ansible (1.7.1) unstable; urgency=low

  * 1.7.1 release

 -- Michael DeHaan <michael@ansible.com>  Thu, 14 Oct 2014 17:00:00 -0500

ansible (1.7) unstable; urgency=low

  * 1.7.0 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 06 Aug 2014 15:00:00 -0500

ansible (1.6.10) unstable; urgency=low

  * 1.6.10 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 25 Jul 2014 13:00:00 -0500

ansible (1.6.9) unstable; urgency=low

  * 1.6.9 release

 -- Michael DeHaan <michael@ansible.com>  Thu, 24 Jul 2014 23:30:00 -0500

ansible (1.6.8) unstable; urgency=low

  * 1.6.8 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 22 Jul 2014 17:30:00 -0500

ansible (1.6.7) unstable; urgency=low

  * 1.6.7 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 21 Jul 2014 12:30:00 -0500

ansible (1.6.6) unstable; urgency=low

  * 1.6.6 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 01 Jul 2014 15:30:00 -0500

ansible (1.6.5) unstable; urgency=low

  * 1.6.5 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 25 Jun 2014 22:30:00 -0500

ansible (1.6.4) unstable; urgency=low

  * 1.6.4 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 25 Jun 2014 17:30:00 -0500

ansible (1.6.3) unstable; urgency=low

  * 1.6.3 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 09 Jun 2014 16:30:00 -0500

ansible (1.6.2) unstable; urgency=low

  * 1.6.2 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 23 May 2014 17:30:00 -0500

ansible (1.6.1) unstable; urgency=low

  * 1.6.1 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 07 May 2014 13:30:00 -0500

ansible (1.6) unstable; urgency=low

  * 1.6.0 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 05 May 2014 17:30:03 -0500

ansible (1.5.5) unstable; urgency=low

  * 1.5.5 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 18 April 2014 15:00:00 -0500

ansible (1.5.4) unstable; urgency=low

  * 1.5.4 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 01 April 2014 08:46:00 -0500

ansible (1.5.3) unstable; urgency=low

  * 1.5.3 release

 -- Michael DeHaan <michael@ansible.com>  Thu, 13 March 2014 08:46:00 -0500

ansible (1.5.2) unstable; urgency=low

  * 1.5.2 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 11 March 2014 08:46:00 -0500

ansible (1.5.1) unstable; urgency=low

  * 1.5.1 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 10 March 2014 17:33:44 -0500

ansible (1.5) unstable; urgency=low

  * 1.5 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 28 February 2014 00:00:00 -0500

ansible (1.4.5) unstable; urgency=low

  * 1.4.5 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 12 February 2014 15:23:11 -0500

ansible (1.4.4) unstable; urgency=low

  * 1.4.4 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Mon, 06 January 2014 10:30:34 -0500

ansible (1.4.3) unstable; urgency=low

  * 1.4.3 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 20 December 2013 13:19:01 -0500

ansible (1.4.2) unstable; urgency=low

  * 1.4.2 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 18 December 2013 19:00:00 -0500

ansible (1.4.1) unstable; urgency=low

  * 1.4.1 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 27 November 2013 15:00:01 -0500

ansible (1.4) unstable; urgency=low

  * 1.4 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 21 November 2013 15:00:01 -0500

ansible (1.3) unstable; urgency=low

  * 1.3 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 13 September 2013 18:00:00 -0500

ansible (1.2.2) unstable; urgency=low

  * 1.2.2 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 04 July 2013 21:45:01 -0500

ansible (1.2.1) unstable; urgency=low

  * 1.2.1 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 04 July 2013 21:45:00 -0500

ansible (1.2) unstable; urgency=low

  * 1.2 release



=== packaging/arch/PKGBUILD ===
# Maintainer: Michel Blanc <mblanc@erasme.org>
# Contributor: Scott Hansen https://github.com/firecat53
# Contributor: Buce <dmbuce@gmail.com>
# Contributor: Bartłomiej Piotrowski <b@bpiotrowski.pl>
# Contributor: cgtx <carl@carlgeorge.us>
# Contributor: Daniel Wallace <danielwallace@gtmanfred.com>
# Contributor: John Gosset <john.gosset@gmail.com>
# Contributor: Joshua Lund <josh@joshlund.com>
# Contributor: Matt Klich <matt.klich@readytalk.com>
# Contributor: Michael DeHaan <michael@ansible.com>

pkgname=ansible-git
pkgver=1.6.0.1835.ga1809a3
pkgrel=1
pkgdesc='Radically simple IT automation platform'
arch=('any')
url='https://www.ansible.com'
license=('GPL3')
depends=('python2' 'python2-paramiko' 'python2-jinja' 'python2-yaml')
makedepends=('git' 'asciidoc' 'fakeroot')
optdepends=('python2-pyasn1: needed for accelerated mode'
            'python2-crypto: needed for accelerated mode'
            'python2-keyczar: needed for accelerated mode')
conflicts=('ansible')
provides=('ansible')
backup=('etc/ansible/ansible.cfg')
source=($pkgname::git://github.com/ansible/ansible.git)
md5sums=('SKIP')

pkgver() {
  cd $pkgname
  git describe --long | sed 's/^v//;s/-/./g'
}

build() {
  cd $pkgname
  make PYTHON=python2
}

package() {
  cd $pkgname

  install -dm755 $pkgdir/usr/share/ansible
  cp -dpr --no-preserve=ownership ./examples "$pkgdir/usr/share/ansible"

  python2 setup.py install -O1 --root="$pkgdir"

  install -Dm644 examples/ansible.cfg $pkgdir/etc/ansible/ansible.cfg

  install -Dm644 README.md $pkgdir/usr/share/doc/ansible/README.md
  install -Dm644 COPYING $pkgdir/usr/share/doc/ansible/COPYING
  install -Dm644 CHANGELOG.md $pkgdir/usr/share/doc/ansible/CHANGELOG.md

  install -dm755 ${pkgdir}/usr/share/man/man1
  cp -dpr --no-preserve=ownership docs/man/man1/*.1 "$pkgdir/usr/share/man/man1"
}

=== packaging/debian/control ===
Source: ansible
Section: admin
Priority: optional
Standards-Version: 3.9.3
Maintainer: Ansible, Inc. <info@ansible.com>
Build-Depends: cdbs, debhelper (>= 5.0.0), asciidoc, python, dh-python | python-support, python-setuptools, lsb-release
Homepage: http://ansible.github.com/

Package: ansible
Architecture: all
Depends: python-jinja2, python-yaml, python-paramiko, python-httplib2, python-six, python-crypto (>= 2.6), python-setuptools, sshpass, ${misc:Depends}, ${python:Depends}
Description: A radically simple IT automation platform
 A radically simple IT automation platform that makes your applications and
 systems easier to deploy. Avoid writing scripts or custom code to deploy and
 update your applications— automate in a language that approaches plain English,
 using SSH, with no agents to install on remote systems.
